# SPDX-License-Identifier: MIT
%global project_name  awami
%global archive_name %{lua:t=string.gsub(rpm.expand("%{fonts_family}"), "[%p%s]+", ""); print(t)}-%{version}

%global source_version 2.000
%global source_release 7
%global source_url     https://software.sil.org/%{project_name}/

%global default_fonts_foundry      SIL
%global default_fonts_license      OFL
%global default_fonts_licenses     OFL.txt
%global default_fonts_docs         *.txt documentation/*.txt documentation/*.odt
%global default_fonts_docs_exclude %{default_fonts_licenses}

%global fonts_family             Awami Nastaliq
%global fonts_summary            Awami Nastaliq, a Nastaliq-style Arabic script font family
%global fonts_tags               %{expand:
Recommends: font(charissil)
}
%global fonts_fonts              *.ttf
%global fonts_experimental_confs 65-%{fonts_name}.xml
%global fonts_description        %{expand:
Awami Nastaliq is a Nastaliq-style Arabic script font family supporting a wide
variety of languages of southwest Asia, including but not limited to Urdu. This
font is aimed at minority language support. This makes it unique among Nastaliq
fonts.

Nastaliq, based on a centuries-old calligraphic tradition, is considered one of
the most beautiful scripts on the planet. Nastaliq has been called “the bride
of calligraphy” but its complexity also makes it one of the most difficult
scripts to render using a computer font. Its right-to-left direction, vertical
nature, and context-specific shaping provide a challenge to any font rendering
engine and make it much more difficult to render than the flat (Naskh) Arabic
script that it is based on. As a result, font developers have long struggled to
produce a font with the correct shaping but at the same time avoid overlapping
of dots and diacritics. In order to account for the seemingly infinite
variations, the Graphite rendering engine has been extended just to handle
these complexities properly.}

%auto_init
%auto_pkg

%sourcelist
https://github.com/silnrsi/font-%{project_name}/releases/download/v%{version}/%{archive_name}.tar.xz
65-%{fonts_name}.xml

%prep
%auto_prep
%setup -q -n %{archive_name}
install -m 644 %{_sourcedir}/*xml .
%linuxtext *.txt documentation/*.txt

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 2.000-4
👻 Rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are valid

* Sat Feb 22 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 2.000-2
✅ Rebuild with fonts-rpm-macros 2.0.2

* Sat Feb 15 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 2.000-1
✅ Initial packaging
